Subject: RE: Linking libcrt in DLL files
From: [email-masked]

22 Jun 1998 04:48:02 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
To: [email-masked]
Cc: [email-masked]

>   Colin Peters ([email-masked])
>   Fri, 5 Jun 1998 16:55:21 +0900
>Amsden, Zachary  wrote:
>
>>Is it possible to link the C runtime library in DLL files?   I am trying
>>to compile some
>>Microsoft code from the latest platform SDK, specifically the spincube
>>dll example and test.
>>I am using the mingw32-gcc distrubution with the latest tools.
>
>
>It is certainly possible to create DLLs that use *a* C runtime library,
>including crtdll which is the default for Mingw32. I'm fairly sure this is
>possible even if the calling program doesn't use the same runtime library
>(though it might be a little more tricky like that in some cases).
>
>>I can not get the DLL to compile because it complains about
>>missing references to _CRT_INIT.  Checking the source code,
>
>
>P.S. It's nice to know about this though. Maybe I'll include a dummy
>_CRT_INIT function in the mingw32 library from now on...
>
There is a function called `_initterm' in crtdll.dll, and calling
_initterm without any parameters seems to make a difference when
you are using the C functions of crtdll.dll without the Dos window
that goes along with it.

I used my wstdio `pure Windows' console library to generate a MINGW32
version of the slrn news reader, and the pesky thing has a Dos window
stuck onto the back of it.  Calling _initterm seems to clean up the
backend Dos window, but it is still  there.  Do you know of any way
to start up the slrn program in my window using MINGW32's crtdll.dll
without the console stuck to the back?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".